=== debian/changelog ===
ignition-math (6.14.0+ds-3) unstable; urgency=medium

  * Correct spelling
  * Include large precission arches for long double in Helpers_TEST

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 12 Aug 2023 10:07:43 +0000

ignition-math (6.14.0+ds-2) unstable; urgency=medium

  * Fixes for test failures in non amd64/i386 arches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 11 Aug 2023 11:40:56 +0000

ignition-math (6.14.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libignition-math-dev: Add Multi-Arch: same.

  [ Jose Luis Rivero ]
  * New upstream version 6.14.0+ds
  * Rediff patches
  * Update standards to 4.6.2
  * Require ign-cmake 2.13
  * Replace DEB_B_OPTIOS by DEB_B_M_OPTIONS

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Aug 2023 13:14:39 +0000
