## ignition-math 6.15.0%2Bds

=== debian/changelog ===
ignition-math (6.15.0+ds-1~revyos2) bullseye; urgency=medium

  * Add python3 pkg

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Thu, 30 May 2024 01:38:10 +0800

ignition-math (6.15.0+ds-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 22 May 2024 17:48:00 +0800

ignition-math (6.15.0+ds-1) unstable; urgency=medium

  * Replace patch to avoid numeric_limits
  * New upstream version 6.15.0+ds
  * Rediff patches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2023 18:45:34 +0200
