=== debian/control ===
Source: ignition-math
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               doxygen,
               libeigen3-dev,
               libgtest-dev,
               libignition-cmake-dev (>= 2.13),
               python3-dev,
               python3-pybind11 [!mipsel !sh4],
               ruby-all-dev,
               swig
Standards-Version: 4.6.2
Rules-Requires-Root: no
XS-Ruby-Versions: all
Vcs-Browser: https://salsa.debian.org/science-team/ignition-math
Vcs-Git: https://salsa.debian.org/science-team/ignition-math.git
Homepage: https://ignitionrobotics.org/libs/math

Package: libignition-math6-6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Ignition Robotics Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the shared library

Package: libignition-math-dev
Architecture: any
Section: libdevel
Depends: libignition-math6-6 (= ${binary:Version}),
         libignition-cmake-dev (>= 2.13),
         libeigen3-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the development files

Package: python3-ignition-math
# Too high memory consumption for mipsel in python bindings generation
# Architecture: any [!mipsel !sh4]
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: libignition-math6-6
Description: Ignition Robotics Math Library - Python3 bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the Python3 bindings.

Package: ruby-ignition-math
Architecture: any
Section: ruby
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Ignition Robotics Math Library - Ruby bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the Ruby bindings.
