## ignition-math 6.15.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-math6 VERSION 6.14.0)
+project(ignition-math6 VERSION 6.15.0)
 
 #============================================================================
 # Find ignition-cmake
