=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
 Section: libdevel
 Depends: libignition-math6-6 (= ${binary:Version}),
          libignition-cmake-dev (>= 2.13),
-         libeigen3-dev,
          ${misc:Depends}
 Multi-Arch: same
 Description: Ignition Robotics Math Library - Development files
@@ -61,7 +60,7 @@
 Package: python3-ignition-math
 # Too high memory consumption for mipsel in python bindings generation
 # Architecture: any [!mipsel !sh4]
-Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el s390x sparc64 x32
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
