=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,9 @@
 # The build consumes high ammounts of RAM, only x32/x64 arches seems able to
 # deal with it. There is a lintian warning about using DEB_BUILD_OPTIONS but
 # I did not find a better way. Patches are welcome.
-#ifeq (,$(filter $(DEB_HOST_ARCH), amd64 i386))
-#export DEB_BUILD_MAINT_OPTIONS+='parallel=1'
-#endif
+ifeq (,$(filter $(DEB_HOST_ARCH), amd64 i386))
+export DEB_BUILD_MAINT_OPTIONS+='parallel=1'
+endif
 
 ifeq ($(DEB_HOST_ARCH),i386)
   CXXFLAGS += -ffloat-store
